API ReferencePayments
Initialize payment
Initialize a payment to fund organisation wallet. Returns a payment URL.
POST
/v1/payments/initializeAuthorization
bearer AuthorizationBearer <token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/v1/payments/initialize" \ -H "Content-Type: application/json" \ -d '{ "amount": 5000 }'{ "success": true, "statusCode": 200, "message": "Request processed successfully", "timestamp": "2025-10-20T16:30:00.000Z", "path": "/v1/auth/register", "data": { "transactionId": "txn_abc123", "reference": "REF_1634567890123", "authorizationUrl": "https://checkout.paystack.com/abc123", "accessCode": "abc123def456", "amount": 10000, "accountName": "ZugreenBeautyEmpire", "accountNumber": "1225106582", "bankName": "Zenith Bank" }}